%define major 1

%define libname %mklibname %{name}-server %major
%define libnamedev %mklibname %{name}-server -d

Name:		spice
Version:	0.12.2
%define subrel	1
Release:	%mkrel 5
Summary:	Implements the SPICE protocol
Group:		Networking/Remote access
License:	LGPLv2+
URL:		http://www.spice-space.org/
Source0:	http://www.spice-space.org/download/releases/%{name}-%{version}.tar.bz2
Source1:	spice-xpi-client-spicec
# (cjw) fix server linkage
Patch1:		spice-0.12.2-link.patch
# (cjw) fix obsolete macros not working with automake 1.13
#       and use spice-protocol pkg instead of bundled spice-protocol
Patch2:		spice-0.12.2-automake-1.13.patch
Patch3:		spice-0.12.3-CVE-2013-4130.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=613529
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	pkgconfig
BuildRequires:	spice-protocol >= 0.9.1
BuildRequires:	celt051-devel
BuildRequires:	pixman-devel
BuildRequires:	alsa-lib-devel openssl-devel libjpeg-devel
BuildRequires:	pkgconfig(xrandr)
#BuildRequires:	cegui06-devel
BuildRequires:	libcacard-devel
BuildRequires:	libsasl2-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	python-pyparsing

%description
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.

%package client
Summary:	Implements the client side of the SPICE protocol
Group:		Networking/Remote access
Requires(post):	%{_sbindir}/update-alternatives
Requires(postun):	%{_sbindir}/update-alternatives

%description client
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.

This package contains the SPICE client application.

%package -n %libname
Summary:	Implements the server side of the SPICE protocol
Group:		System/Libraries

%description -n %libname
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.

This package contains the run-time libraries for any application that wishes
to be a SPICE server.

%package -n %libnamedev
Summary:	Header files, libraries and development documentation for spice-server
Group:		Development/C
Requires:	%libname = %{version}-%{release}
Requires:	pkgconfig
Requires:	pkgconfig(libcacard)
Requires:	pkgconfig(xinerama)
Provides:	%name-server-devel = %version-%release


%description -n %libnamedev
This package contains the header files, static libraries and development
documentation for spice-server. If you like to develop programs
using spice-server, you will need to install spice-server-devel.

%prep
%setup -q
%patch1 -p1 -b .pthread
%patch2 -p1 -b .automake-1_13
%patch3 -p1 -b .CVE-2013-4130
rm -rf spice-common/spice-protocol

%build
autoreconf -ifv
%configure --enable-smartcard --enable-client
make -C spice-common WARN_CFLAGS='' %{?_smp_mflags}
make -C client WARN_CFLAGS='' %{?_smp_mflags}
%make

%install
make DESTDIR=%{buildroot} -C client install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/libspice-server.a
rm -f %{buildroot}%{_libdir}/libspice-server.la
mkdir -p %{buildroot}%{_libexecdir}
touch %{buildroot}%{_libexecdir}/spice-xpi-client
install -m 0755 %{_sourcedir}/spice-xpi-client-spicec %{buildroot}%{_libexecdir}/

%files client
%doc COPYING README NEWS
%{_bindir}/spicec
%ghost %{_libexecdir}/spice-xpi-client
%{_libexecdir}/spice-xpi-client-spicec

%post client
%{_sbindir}/update-alternatives --install %{_libexecdir}/spice-xpi-client \
  spice-xpi-client %{_libexecdir}/spice-xpi-client-spicec 10

%postun client
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove spice-xpi-client %{_libexecdir}/spice-xpi-client-spicec
fi

%files -n %libname
%doc COPYING README NEWS
%{_libdir}/libspice-server.so.%{major}*

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libnamedev
%{_includedir}/spice-server
%{_libdir}/libspice-server.so
%{_libdir}/pkgconfig/spice-server.pc


%changelog
* Wed Aug 14 2013 luigiwalser <luigiwalser> 0.12.2-5.1.mga3
+ Revision: 466436
- add upstream patch to fix CVE-2013-4130

* Mon Jan 14 2013 umeabot <umeabot> 0.12.2-5.mga3
+ Revision: 382520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 cjw <cjw> 0.12.2-4.mga3
+ Revision: 336347
- patch2: fix build with automake 1.13
  o use the packaged spice-protocol instead of the bundled version

* Tue Dec 25 2012 cjw <cjw> 0.12.2-3.mga3
+ Revision: 334948
- also add pkgconfig(xinerama) dep to -devel pkg to fix pkgconfig(spice-server)

* Tue Dec 25 2012 cjw <cjw> 0.12.2-2.mga3
+ Revision: 334943
- add dependency on pkgconfig(libcacard) to -devel package to fix pkgconfig(spice-server)

* Tue Dec 25 2012 cjw <cjw> 0.12.2-1.mga3
+ Revision: 334859
- 0.12.2
- patch1: fix linkage

* Tue Feb 28 2012 ovitters <ovitters> 0.10.1-1.mga2
+ Revision: 215751
- new version 0.10.1

* Wed Jan 11 2012 ovitters <ovitters> 0.10.0-2.mga2
+ Revision: 194920
- also build for i586

* Wed Jan 11 2012 ovitters <ovitters> 0.10.0-1.mga2
+ Revision: 194838
- fix group
- fix buildrequires
- fix group
- clean spec file
- imported package spice

